BTTRACK(1)

NAME
bttrack - tracker for bittorrent

SYNOPSIS
bttrack [ option ... ]

DESCRIPTION
This manual page documents briefly the bttrack command. This manual page was written for the Debian distribution because the original program does not have a manual page.

bttrack is a program that serves as a "tracker" for bittorrent clients. This program keeps track of the completion of each client, and communicates that information when requested to other clients.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

--port portnum
    listen on port portnum (default 80)

--dfile filename
    store recent downloader info in filename

--bind ip
    bind to ip instead of the default

--socket_timeout secs
    timeout for closing connections (default 15)

--save_dfile_interval secs
    seconds between saving dfile (default 300)

--timeout_downloaders_interval secs
    seconds between expiring downloaders (default 2700)

--reannounce_interval secs
    seconds downloaders should wait between reannouncements (default 1800)

--response_size num
    number of peers to send in an info message (default 50)

--timeout_check_interval secs
    time to wait between checking if any connections have timed out (default 5)

--nat_check [ 1 | 0 ]
    whether to check back and ban downloaders behind NAT (default 1)

--min_time_between_log_flushes secs
    minimum time it must have been since the last flush to do another one (default 3.0)

--allowed_dir path
    only allow downloads for .torrents in this directory (default '')

--parse_allowed_interval mins
    minutes between reloading of allowed_dir (default 15)

--show_names [ 1 | 0 ]
    whether to display names from allowed dir (default 1)

SEE ALSO
bittorrent-downloader(1), btmakemetafile(1).

AUTHOR
This manual page was written by Michael Janssen <jamuraa@debian.org>, for the Debian GNU/Linux system (but may be used by others).